aboutsummaryrefslogtreecommitdiff
path: root/toolchain/elf2flt
diff options
context:
space:
mode:
authorGravatar Mike Frysinger <vapier@gentoo.org>2006-01-13 08:01:50 +0000
committerGravatar Mike Frysinger <vapier@gentoo.org>2006-01-13 08:01:50 +0000
commit9896430b13769ae0e5771ada898441cb2bb773d3 (patch)
tree1622cd5b835260b30f9e5fcb4e722816ba5d5463 /toolchain/elf2flt
parent604ce1587b0928571666d95dede97988ceab16ab (diff)
downloadbuildroot-9896430b13769ae0e5771ada898441cb2bb773d3.tar.gz
buildroot-9896430b13769ae0e5771ada898441cb2bb773d3.tar.bz2
script to generate tarballs
Diffstat (limited to 'toolchain/elf2flt')
-rw-r--r--toolchain/elf2flt/elf2flt/.cvsignore1
-rwxr-xr-xtoolchain/elf2flt/elf2flt/maketarball.sh12
2 files changed, 13 insertions, 0 deletions
diff --git a/toolchain/elf2flt/elf2flt/.cvsignore b/toolchain/elf2flt/elf2flt/.cvsignore
index 7cf4be52f6..18cff9ae11 100644
--- a/toolchain/elf2flt/elf2flt/.cvsignore
+++ b/toolchain/elf2flt/elf2flt/.cvsignore
@@ -1,2 +1,3 @@
.cvsignore
.svn
+maketarball.sh
diff --git a/toolchain/elf2flt/elf2flt/maketarball.sh b/toolchain/elf2flt/elf2flt/maketarball.sh
new file mode 100755
index 0000000000..10148608aa
--- /dev/null
+++ b/toolchain/elf2flt/elf2flt/maketarball.sh
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+cvs_stamp=$(cut -d/ -f4 CVS/Entries | sort | tail -n 1)
+stamp=$(date +%Y%m%d --date="${cvs_stamp}")
+
+p="elf2flt-${stamp}"
+rm -f elf2flt-*.tar.bz2
+mkdir ../${p}
+cp -r * ../${p}/ || exit 1
+tar jcf ${p}.tar.bz2 --exclude .svn -C .. ${p}
+rm -r ../${p} || exit 1
+du -b ${p}.tar.bz2